import 'storage_type.dart';

class Photo {
  const Photo({
    required this.id,
    required this.coverUri,
    required this.mediumSizeUri,
    required this.thumbnailUri,
    this.storageType = StorageType.network,
    this.scaleType = ScaleType.cover,
  });

  final String id;
  final String coverUri;
  final String mediumSizeUri;
  final String thumbnailUri;
  final StorageType storageType;
  final ScaleType scaleType;
}

enum ScaleType { fill, contain, cover, fitWidth, fitHeight, none, scaleDown }
